<?php
	include "../../inc/inc.koneksi.php";
	include "../../inc/fungsi_tanggal.php";

	session_start();

	date_default_timezone_set('Asia/Jakarta');

	$kode	=$_POST['kode'];
	$user	=$_SESSION['username'];
	$tgllap	=date('d-m-Y');
	$jam	=date('H:i:s');
	$tanggal=jin_date_str($tanggal);
	
	$sql = mysql_query("SELECT * FROM jurmbr WHERE kode_mb='$kode' AND posting='P' AND batal='' ORDER BY no_urut");
	$namast='';
	while($r=mysql_fetch_array($sql)){
		$kodest  	=$r['kode_st'];
		$namast		=$namast.'. '.$r['nama_st'];
		$jmlunit 	=$r['jml_unit'];
		$gdtujuan	=$r['gd_tujuan'];
		
		mysql_query("UPDATE stock SET jml_stokb=jml_stokb+$jmlunit WHERE kode_st='$kodest' AND kode_cab='01'");
		mysql_query("UPDATE stock SET jml_stok=jml_stok-$jmlunit WHERE kode_st='$kodest' AND kode_cab='$gdtujuan'");
	}
	mysql_query("DELETE FROM rekap_mbr WHERE kode_tr='$kode'");
	
	mysql_query("UPDATE jurmbr SET batal='BATAL' WHERE kode_mb='$kode'");
	
	mysql_query("INSERT INTO log_history (user,tanggal,jam,aktivitas,no_bukti,nama_st,keterangan) VALUES('$user','$tgllap','$jam','BATAL PEMINDAHAN BARANG','$kode','$namast','Tanggal pemindahan $tanggal, dari $gdasal ke $gdtujuan')");

	echo "Data mutasi barang kode $kode telah dibatalkan.";
?>